%define filever %(echo %version|sed -e 's|\\.||')
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary:	A fast math parser library
Name:		muparser
Version:	1.32
Release:	%mkrel 3
Epoch:          1
License:	MIT
Group: 		System/Libraries
Source0:        http://nchc.dl.sourceforge.net/sourceforge/%{name}/%{name}_v%{filever}.tar.gz
Patch1:		muParser-1.30-gcc43.patch
URL: 		http://muparser.sourceforge.net/

%description
muParser is an extensible high performance math parser library. It is
based on transforming an expression into a bytecode and precalculating
constant parts of it.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains library files of muParser.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{epoch}:%version-%release
Provides:	%{name}-devel = %{epoch}:%version-%release

%description -n %{develname}
This package contains development files need to develop applications
based on muParser.

%prep
%setup -q -n %{name}_v%{filever}
%patch1 -p0

%build
%configure2_5x --enable-shared --enable-static
make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%files -n %{libname}
%defattr(-,root,root)
%doc Changes.txt
%_libdir/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc docs/html
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/*.h


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.32-3.mga3
+ Revision: 360506
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 16 2012 mikala <mikala> 1:1.32-2.mga2
+ Revision: 235751
- Fix Requires on -devel package

* Tue May 15 2012 dmorgan <dmorgan> 1:1.32-1.mga2
+ Revision: 235724
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Fri Sep 09 2011 tv <tv> 1.34-1.mga2
+ Revision: 141795
- new release

* Thu May 12 2011 mikala <mikala> 1.32-3.mga1
+ Revision: 97557
- Downgrade to version 1.32:
 - 1.34 broke scidavis & qtiplot  ( mga #1251, & upstream #3298663)
 - only used with thoses 2 programs so it's easier to downgrade since mdv2010.1 is providing 1.32 too

* Mon May 02 2011 mikala <mikala> 1.34-2.mga1
+ Revision: 94220
- Remove BuildRoot tag
- remove mdk macros
- imported package muparser

